{
	"name": "kbsheet",
	"version": "live",
	"source": "src/kbsheet.mjs",
	"main": "dist/kbsheet.mjs",
	"engines": {
		"bun": ">=1.1.21"
	},
	"type": "module",
	"devDependencies": {
		"@league-of-foundry-developers/foundry-vtt-types": "^9.280.0",
		"@stylistic/eslint-plugin-js": "^2.6.4",
		"eslint": "^9.9.1",
		"eslint-plugin-jsdoc": "^50.2.2",
		"husky": "^9.1.5",
		"lint-staged": "^15.2.9",
		"prettier": "^3.3.3",
		"sass": "^1.77.8"
	},
	"lint-staged": {
		"*.mjs": "eslint --cache --fix",
		"*.json": "prettier --write",
		"*.scss": "prettier --write"
	},
	"scripts": {
		"lint:js": "bunx eslint . --ext js,mjs --cache",
		"lint:js:fix": "bunx eslint . --ext js,mjs --cache --fix",
		"prerelease": "bun run build",
		"release": "bun ./scripts/release.mjs",
		"build": "bun run css && bun run sync && bun run js",
		"rebuild": "bun run build",
		"sync": "bun ./scripts/sync-files.mjs",
		"sync:watch": "bun ./scripts/sync-files.mjs --watch",
		"js": "bun build src/kbsheet.mjs --sourcemap=linked --minify-whitespace --minify-syntax --outdir dist --entry-naming [name].mjs --root src",
		"js:watch": "bun build src/kbsheet.mjs --sourcemap=linked --minify-whitespace --minify-syntax --outdir dist --entry-naming [name].mjs --watch",
		"css": "bunx sass -s compressed ./scss/kbsheet.scss ./dist/kbsheet.css",
		"css:watch": "bunx sass -s compressed --watch ./scss/kbsheet.scss ./dist/kbsheet.css",
		"ci": "bun install --frozen-lockfile"
	},
	"private": true
}
